Package org.apache.sling.feature

# Interface MatchingRequirement

All Superinterfaces:
  `org.osgi.resource.Requirement`

@ConsumerType public interface MatchingRequirement extends org.osgi.resource.Requirement

## Method Summary

Modifier and Type
Method
Description
`boolean`
`matches(org.osgi.resource.Capability cap)`

### Methods inherited from interface org.osgi.resource.Requirement

`equals, getAttributes, getDirectives, getNamespace, getResource, hashCode`

## Method Details

### matches

boolean matches(org.osgi.resource.Capability cap)